import logging from '../../lib/logging.js';
import { API } from '../../lib/api.js';
import { Payment } from "../../lib/models.js";

const log = logging.create("/api/user/payments.js");


export const get = async (req, res) => {
  const api = new API(req, res);

  try {
    const paid = await Payment.paid(api.user);
    api.reply(200, {paid});
  } catch (error) {
    log.error(error);
    api.error(500, "Internal Server Error");
  }
}

get.authenticated = true;
